org.apache.felix.scrplugin.xml

## Class ComponentDescriptorIO

- java.lang.Object
- - org.apache.felix.scrplugin.xml.ComponentDescriptorIO

    public class ComponentDescriptorIO
    extends Object

`ComponentDescriptorIO` is a helper class to read and write component descriptor files.

### Nested Class Summary

Nested Classes
`protected static class` `ComponentDescriptorIO.XmlHandler` A content handler for parsing the component descriptions.

### Field Summary

Fields
`static String` `INNER_NAMESPACE_URI` The inner namespace - used for all inner elements.

### Constructor Summary

Constructors
Constructor and Description
`ComponentDescriptorIO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<String>` `generateDescriptorFiles(DescriptionContainer module, Options options, Log logger)` Generate descriptor file(s)
`static List<ClassDescription>` `read(InputStream file, ClassLoader classLoader, IssueLog iLog, String location)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INNER_NAMESPACE_URI

    public static final String INNER_NAMESPACE_URI

The inner namespace - used for all inner elements.

See Also:
  Constant Field Values

### Constructor Detail

#### ComponentDescriptorIO

    public ComponentDescriptorIO()

### Method Detail

#### read

    public static List<ClassDescription> read(InputStream file,
                                              ClassLoader classLoader,
                                              IssueLog iLog,
                                              String location)
                                       throws SCRDescriptorException

Throws:
  `SCRDescriptorException`

#### generateDescriptorFiles

    public static List<String> generateDescriptorFiles(DescriptionContainer module,
                                                       Options options,
                                                       Log logger)
                                                throws SCRDescriptorException,
                                                       SCRDescriptorFailureException

Generate descriptor file(s)

Throws:
  `SCRDescriptorException`
  `SCRDescriptorFailureException`